View Issue Details

IDProjectCategoryView StatusLast Update
0025209Open CASCADEOCCT:DRAWpublic2017-09-29 16:24
Reporteroan Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.2.0Fixed in Version7.2.0 
Summary0025209: Draw command "normals" should be extended to show variable number of normals
DescriptionCurrent implementation of command displays a single normal taken at midpoint of a face. This behavior does not provide details necessary for investigation of problems related to face geometry.

Necessity in extended version of the command has came from bug 0023857. Here, the surface produced from points cloud is incorrect due to different directions of normals at surface boundaries comparing to normals taken within surface interior.

Screenshot Single_Normal.png shows behavior of command using old implementation;
Normals_At_MidVParam.png - new functionality disclosing a problem of surface geometry.
Additional information
and documentation updates
Command "normals" has been extended to show variable number of normals. User is able to specify number of normals along U and V axes in parametric space of face's surface as well as length of displayed normals. Using option -UseMesh it is also possible to show normals at each node of mesh associated to a shape.

Additionally, command "vnormals" has also been implemented to display normals in 3D view. Syntax of "vnormals" is similar to "normals" command.
TagsNo tags attached.
Test case number

Attached Files

  • Single_Normal.png (6,029 bytes)
  • Normals_At_MidVParam.png (5,751 bytes)
  • Surface_Normals.png (9,325 bytes)

Relationships

child of 0023857 closedabv Community Degenerate surface normals occur on face boundary. 

Activities

oan

2014-09-02 11:23

developer  

Single_Normal.png (6,029 bytes)

oan

2014-09-02 11:24

developer  

Normals_At_MidVParam.png (5,751 bytes)

oan

2014-09-02 11:24

developer  

Surface_Normals.png (9,325 bytes)

git

2014-09-02 11:28

administrator   ~0031261

Branch CR25209 has been created by oan.

SHA-1: b946f32fff6c9e5ea1727d0288062422cf825d7b


Detailed log of new commits:

Author: oan
Date: Tue Sep 2 11:28:06 2014 +0400

    0025209: Draw command "normals" should be extended to show variable number of normals

oan

2014-09-02 11:29

developer   ~0031262

Branch CR25209 is ready to be reviewed.

git

2014-09-03 15:47

administrator   ~0031312

Branch CR25209 has been updated by oan.

SHA-1: f141afddd48ad491c7379945696273efc72c2f37


Detailed log of new commits:

Author: oan
Date: Wed Sep 3 15:46:56 2014 +0400

    New command vnormals displaying geometric/mesh normals in 3D view has been implemented.

git

2014-09-30 09:55

administrator   ~0032378

Branch CR25209_1 has been created by kgv.

SHA-1: 28eb6f7da8a012f28001ce08119d1a5cc34422e3


Detailed log of new commits:

Author: oan
Date: Tue Sep 30 09:55:27 2014 +0400

    0025209: Draw Harness - add command 'vnormals' and extend command 'normals' to show variable number of normals

git

2016-07-31 13:10

administrator   ~0056321

Branch CR25209_1 has been updated forcibly by kgv.

SHA-1: 342604d22493761a43c0fb20be8bbc20066412fb

git

2017-04-19 16:16

administrator   ~0065350

Branch CR25209_1 has been updated forcibly by kgv.

SHA-1: 0f4275226681bb3d6db188278f1d664e50834153

kgv

2017-04-19 16:16

developer   ~0065351

Please test the patch.

mkv

2017-04-20 14:23

tester   ~0065391

Dear BugMaster,
Branch CR25209_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 0f4275226681bb3d6db188278f1d664e50834153

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1178

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91423722 / 90720015 [+0.78%]
Total CPU difference: 19885.13000000032 / 19728.57000000033 [+0.79%]
products component :
Total MEMORY difference: 30295065 / 30341918 [-0.15%]
Total CPU difference: 5391.659999999989 / 5356.299999999965 [+0.66%]
Testing on Windows:
occt component :
Total MEMORY difference: 57809474 / 57804189 [+0.01%]
Total CPU difference: 18224.005619798714 / 18136.473458698543 [+0.48%]
products component :
Total MEMORY difference: 22304556 / 22265369 [+0.18%]
Total CPU difference: 5313.394059999973 / 5359.788757399982 [-0.87%]

There are no differences in images found by testdiff.

mkv

2017-04-20 14:24

tester   ~0065392

Dear BugMaster,
Branch CR25209_1 is TESTED.

git

2017-05-12 11:21

administrator   ~0065871

Branch CR25209 has been deleted by kgv.

SHA-1: f141afddd48ad491c7379945696273efc72c2f37

git

2017-05-12 11:35

administrator   ~0065879

Branch CR25209_1 has been deleted by kgv.

SHA-1: 0f4275226681bb3d6db188278f1d664e50834153

Related Changesets

occt: master 68ef63f9

2016-07-31 10:09:37

oan


Committer: bugmaster Details Diff
0025209: Draw Harness - add command 'vnormals' and extend command 'normals' to show variable number of normals Affected Issues
0025209
mod - src/DBRep/DBRep.cxx Diff File
mod - src/DBRep/DBRep_DrawableShape.cxx Diff File
mod - src/DBRep/DBRep_DrawableShape.hxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2014-09-02 11:23 oan New Issue
2014-09-02 11:23 oan Assigned To => mkv
2014-09-02 11:23 oan File Added: Single_Normal.png
2014-09-02 11:24 oan File Added: Normals_At_MidVParam.png
2014-09-02 11:24 oan File Added: Surface_Normals.png
2014-09-02 11:24 oan Relationship added child of 0023857
2014-09-02 11:26 oan Assigned To mkv => oan
2014-09-02 11:28 git Note Added: 0031261
2014-09-02 11:28 oan Status new => assigned
2014-09-02 11:29 oan Note Added: 0031262
2014-09-02 11:29 oan Assigned To oan => kgv
2014-09-02 11:29 oan Status assigned => resolved
2014-09-03 15:47 git Note Added: 0031312
2014-09-04 19:04 oan Additional Information Updated
2014-09-11 17:47 abv Target Version => 6.8.0
2014-09-30 09:55 git Note Added: 0032378
2014-10-17 08:56 kgv Target Version 6.8.0 => 7.1.0
2016-07-31 13:10 git Note Added: 0056321
2016-11-22 11:07 kgv Target Version 7.1.0 => 7.2.0
2017-04-19 16:16 git Note Added: 0065350
2017-04-19 16:16 kgv Note Added: 0065351
2017-04-19 16:16 kgv Assigned To kgv => bugmaster
2017-04-19 16:16 kgv Status resolved => reviewed
2017-04-19 16:17 mkv Assigned To bugmaster => mkv
2017-04-20 14:23 mkv Note Added: 0065391
2017-04-20 14:24 mkv Note Added: 0065392
2017-04-20 14:24 mkv Assigned To mkv => bugmaster
2017-04-20 14:24 mkv Status reviewed => tested
2017-04-21 14:59 bugmaster Changeset attached => occt master 68ef63f9
2017-04-21 14:59 bugmaster Status tested => verified
2017-04-21 14:59 bugmaster Resolution open => fixed
2017-05-12 11:21 git Note Added: 0065871
2017-05-12 11:35 git Note Added: 0065879
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:24 aiv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.